import { FlagsConfig } from '@salesforce/command';
import { DeployCommand } from '../../../deployCommand';
import { DeployCommandResult } from '../../../formatters/deployResultFormatter';
export declare class Delete extends DeployCommand {
    static readonly description: string;
    static readonly examples: string[];
    static readonly requiresProject = true;
    static readonly requiresUsername = true;
    static readonly flagsConfig: FlagsConfig;
    protected xorFlags: string[];
    protected readonly lifecycleEventNames: string[];
    private isRest;
    private deleteResultFormatter;
    private aborted;
    private components;
    private mixedDeployDelete;
    private stashPath;
    private tempDir;
    private updateDeployId;
    run(): Promise<DeployCommandResult>;
    protected delete(): Promise<void>;
    /**
     * Checks the response status to determine whether the delete was successful.
     */
    protected resolveSuccess(): Promise<void>;
    protected formatResult(): DeployCommandResult;
    private deleteFilesLocally;
    private moveFileToStash;
    private restoreFileFromStash;
    private deleteStash;
    private moveBundleToManifest;
    private handlePrompt;
}
