import { FlagsConfig } from '@salesforce/command';
import { DeployCommand } from '../../../deployCommand';
import { DeployCommandResult } from '../../../formatters/deployResultFormatter';
import { DeployCommandAsyncResult } from '../../../formatters/deployAsyncResultFormatter';
export declare class Deploy extends DeployCommand {
    static readonly description: string;
    static readonly examples: string[];
    static readonly requiresProject = true;
    static readonly requiresUsername = true;
    static readonly flagsConfig: FlagsConfig;
    protected xorFlags: string[];
    protected readonly lifecycleEventNames: string[];
    private isAsync;
    private isRest;
    private asyncDeployResult;
    private updateDeployId;
    run(): Promise<DeployCommandResult | DeployCommandAsyncResult>;
    protected deploy(): Promise<void>;
    /**
     * Checks the response status to determine whether the deploy was successful.
     * Async deploys are successful unless an error is thrown, which resolves as
     * unsuccessful in oclif.
     */
    protected resolveSuccess(): void;
    protected formatResult(): DeployCommandResult | DeployCommandAsyncResult;
    private deployRecentValidation;
}
