import { ComponentSet, DeployResult, MetadataApiDeploy } from '@salesforce/source-deploy-retrieve';
import { PollingClient } from '@salesforce/core';
import { SourceCommand } from './sourceCommand';
export declare abstract class DeployCommand extends SourceCommand {
    protected static readonly SOURCE_STASH_KEY = "SOURCE_DEPLOY";
    protected static readonly MDAPI_STASH_KEY = "MDAPI_DEPLOY";
    protected displayDeployId: (id: string) => void;
    protected isSourceStash: boolean;
    protected deployResult: DeployResult;
    /**
     * Request a report of an in-progress or completed deployment.
     *
     * @param id the Deploy ID of a deployment request
     * @returns DeployResult
     */
    protected report(id?: string): Promise<DeployResult>;
    protected setStash(deployId: string): void;
    /**
     * This method is here to provide a workaround to stubbing a constructor in the tests.
     *
     * @param id
     */
    protected createDeploy(id?: string): MetadataApiDeploy;
    protected getStashKey(): string;
    protected resolveDeployId(id?: string): string;
    protected isRestDeploy(): Promise<boolean>;
    protected poll(deployId: string, options?: Partial<PollingClient.Options>): Promise<DeployResult>;
    private getStash;
}
export declare const getVersionMessage: (action: 'Deploying' | 'Pushing', componentSet: ComponentSet, isRest: boolean) => string;
