import { UX } from '@salesforce/command';
import { Logger } from '@salesforce/core';
import { RetrieveResult, FileResponse, RequestStatus, RetrieveMessage } from '@salesforce/source-deploy-retrieve';
import { ResultFormatter, ResultFormatterOptions } from './resultFormatter';
export declare type PullResponse = Pick<FileResponse, 'filePath' | 'fullName' | 'state' | 'type'>;
export declare class PullResultFormatter extends ResultFormatter {
    protected result: RetrieveResult;
    protected fileResponses: FileResponse[];
    protected warnings: RetrieveMessage[];
    constructor(logger: Logger, ux: UX, options: ResultFormatterOptions, retrieveResult: RetrieveResult, deleteResult?: FileResponse[]);
    /**
     * Get the JSON output from the PullCommandResult.
     *
     * @returns RetrieveCommandResult
     */
    getJson(): PullResponse[];
    /**
     * Displays retrieve results in human format.
     */
    display(): void;
    protected hasStatus(status: RequestStatus): boolean;
    protected hasComponents(): boolean;
    private displayWarnings;
    private displaySuccesses;
    private displayErrors;
}
