import { UX } from '@salesforce/command';
import { Logger } from '@salesforce/core';
import { DeployResult, FileResponse, RequestStatus } from '@salesforce/source-deploy-retrieve';
import { ResultFormatter, ResultFormatterOptions } from './resultFormatter';
export declare type PushResponse = Pick<FileResponse, 'filePath' | 'fullName' | 'state' | 'type'>;
export declare class PushResultFormatter extends ResultFormatter {
    protected result: DeployResult;
    protected fileResponses: FileResponse[];
    constructor(logger: Logger, ux: UX, options: ResultFormatterOptions, result: DeployResult);
    /**
     * Get the JSON output from the DeployResult.
     *
     * @returns a JSON formatted result matching the provided type.
     */
    getJson(): PushResponse[];
    /**
     * Displays deploy results in human readable format.  Output can vary based on:
     *
     * 1. Verbose option
     * 3. Checkonly deploy (checkonly=true)
     * 4. Deploy with test results
     * 5. Canceled status
     */
    display(): void;
    protected hasStatus(status: RequestStatus): boolean;
    protected displaySuccesses(): void;
    protected displayFailures(): void;
}
